import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import * as sageX3System from '@sage/x3-system';
import { NodeExtension, Reference } from '@sage/xtrem-core';
import * as sageX3ProjectManagement from '..';
export declare class ProjectLinkExtension extends NodeExtension<sageX3ProjectManagementData.nodes.ProjectLink> {
    readonly project: Reference<sageX3ProjectManagement.nodes.Project>;
    readonly budget: Reference<sageX3ProjectManagement.nodes.Budget | null>;
    readonly task: Reference<sageX3ProjectManagement.nodes.Task | null>;
    readonly financialSite: Reference<sageX3System.nodes.Site>;
    readonly projectStatus: Promise<sageX3ProjectManagement.enums.ProjectStatus | null>;
    readonly budgetStatus: Promise<sageX3ProjectManagement.enums.ProjectBudgetStatus | null>;
    readonly taskStatus: Promise<sageX3ProjectManagement.enums.ProjectTaskStatus | null>;
    readonly billingMode: Promise<sageX3ProjectManagementData.enums.BillingMode>;
}
declare module '@sage/x3-project-management-data/lib/nodes/project-link' {
    interface ProjectLink extends ProjectLinkExtension {
    }
}
//# sourceMappingURL=project-link-extension.d.ts.map