import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import { Node, Reference, integer } from '@sage/xtrem-core';
import * as sageX3ProjectManagement from '..';
export declare class OperationPrecedenceLink extends Node {
    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink>;
    readonly task: Reference<sageX3ProjectManagement.nodes.Task>;
    readonly operation: Reference<sageX3ProjectManagement.nodes.Operation>;
    readonly firstOperationSplit: Promise<integer>;
    readonly lineNumber: Promise<integer>;
    readonly linkedOperation: Reference<sageX3ProjectManagement.nodes.Operation>;
    readonly linkedOperationSplit: Promise<integer>;
    readonly linkType: Promise<sageX3ProjectManagement.enums.OperationsLinkType>;
    readonly constraintType: Promise<sageX3ProjectManagement.enums.ConstraintType>;
    readonly lagDays: Promise<integer | null>;
    readonly _nodeStatus: Promise<string>;
}
//# sourceMappingURL=operation-precedence-link.d.ts.map