/// <reference path="../../../../../shared/x3-project-management-data/api/api.d.ts" />
import { Currency, UnitOfMeasure } from '@sage/x3-master-data-api';
import { Budget, GraphApi, Operation, OperationAssignment, Project, Task, TimeCategory } from '@sage/x3-project-management-api';
import { CostType } from '@sage/x3-project-management-data-api';
import { User } from '@sage/x3-system-api';
import * as ui from '@sage/xtrem-ui';
export declare class MobileTimeEntryInquiryByDate extends ui.Page<GraphApi> {
    private _manageDisplayApplicativePageActions;
    private _manageDisplayAdditionalPageActions;
    private manageDisplayButtonCRUDActions;
    _CrudAction: ui.fields.Text;
    isNonProjectCategory: ui.fields.Numeric;
    myAssignmentButton: ui.PageAction;
    mainSection: ui.containers.Section;
    myAssignmentBlock: ui.containers.Block;
    timeSummaryBlock: ui.containers.Block;
    statusBlock: ui.containers.Block;
    projectBillingBlock: ui.containers.Block;
    loadBlock: ui.containers.Block;
    costBlock: ui.containers.Block;
    creationBlock: ui.containers.Block;
    connectedEmployee: ui.fields.Reference;
    defaultTimeCategory: ui.fields.Reference<TimeCategory>;
    defaultUnit: ui.fields.Reference<UnitOfMeasure>;
    isTimeEntryAdministrator: ui.fields.Checkbox;
    isTimeEntryEmployee: ui.fields.Checkbox;
    isNegativeTimeSpentAllowed: ui.fields.Checkbox;
    isValidatedDefault: ui.fields.Checkbox;
    _nodeStatus: ui.fields.Text;
    _id: ui.fields.Text;
    employee: ui.fields.Reference;
    lineNumber: ui.fields.Numeric;
    assignmentLine: ui.fields.Reference;
    rateType: ui.fields.Label;
    myAssignment: ui.fields.Reference<OperationAssignment>;
    date: ui.fields.Date;
    timeCategory: ui.fields.Reference<TimeCategory>;
    timeCategoryOnChange(): Promise<void>;
    timeCategoryIsNonProjectCategory(): Promise<void>;
    LoadIsNonProjectCategoryValue(): Promise<void>;
    unit: ui.fields.Reference<UnitOfMeasure>;
    timeSpent: ui.fields.Numeric;
    project: ui.fields.Reference<Project>;
    private projectOnChange;
    private projectIsDisable;
    task: ui.fields.Reference<Task>;
    private taskOnChange;
    private taskOnChangeBudget;
    private taskIsDisable;
    operation: ui.fields.Reference<Operation>;
    budget: ui.fields.Reference<Budget>;
    localizedDescription: ui.fields.Text;
    status: ui.fields.Select;
    isValidated: ui.fields.Checkbox;
    isBillable: ui.fields.Checkbox;
    billableFrom: ui.fields.Date;
    plannedLoad: ui.fields.Text;
    consumedLoad: ui.fields.Text;
    remainingLoad: ui.fields.Text;
    projectCostType: ui.fields.Reference<CostType>;
    projectLaborRate: ui.fields.Numeric;
    employeeCostType: ui.fields.Reference<CostType>;
    employeeLaborRate: ui.fields.Numeric;
    rateMultiplier: ui.fields.Numeric;
    currency: ui.fields.Reference<Currency>;
    validatedBy: ui.fields.Reference<User>;
    rejectedBy: ui.fields.Reference<User>;
    private _GetNumberOfDecimals;
    setCreateMode(): Promise<void>;
    setDisplayMode(): Promise<void>;
    _callComputeUnitOfMeasureAPI(): Promise<void>;
    _callComputeProjectEmployeeLaborRateAPI(iWitchOne: number): Promise<void>;
    private _callComputeProjectEmployeeCostTypeAPI;
}
//# sourceMappingURL=mobile-time-entry-inquiry-by-date.d.ts.map