import * as sageX3Structure from '@sage/x3-structure';
import { Node, Reference, Collection } from '@sage/xtrem-core';
import * as sageX3MasterData from '..';
export declare class CustomerAddress extends Node {
    readonly entityType: Promise<sageX3Structure.enums.EntityType | null>;
    readonly customer: Reference<sageX3MasterData.nodes.Customer | null>;
    readonly code: Promise<string>;
    readonly description: Promise<string>;
    readonly defaultBankId: Reference<sageX3MasterData.nodes.CustomerBankDetail | null>;
    readonly isDefault: Promise<boolean>;
    readonly zipCode: Promise<string>;
    readonly city: Promise<string>;
    readonly state: Promise<string>;
    readonly country: Reference<sageX3Structure.nodes.Country | null>;
    readonly countryName: Promise<string>;
    readonly website: Promise<string>;
    readonly externalIdentifier: Promise<string>;
    readonly isValid: Promise<boolean>;
    readonly _nodeStatus: Promise<string>;
    readonly addressEmails: Collection<sageX3MasterData.nodes.CustomerAddressAddressEmails>;
    readonly addressLines: Collection<sageX3MasterData.nodes.CustomerAddressAddressLines>;
    readonly addressPhoneNumbers: Collection<sageX3MasterData.nodes.CustomerAddressAddressPhoneNumbers>;
}
//# sourceMappingURL=customer-address.d.ts.map