import * as sageX3System from '@sage/x3-system';
import { Node, Reference } from '@sage/xtrem-core';
import * as sageX3ProjectManagement from '..';
export declare class FinancialOverviewStructure extends Node {
    readonly financialView: Reference<sageX3System.nodes.MiscellaneousTable>;
    readonly columnSequence: Promise<string>;
    readonly columnContent: Promise<string>;
    readonly subColumn1Title: Promise<string>;
    readonly subColumn2Title: Promise<string>;
    readonly subColumn1Type: Promise<sageX3ProjectManagement.enums.QuantityAmount | null>;
    readonly subColumn2Type: Promise<sageX3ProjectManagement.enums.QuantityAmount | null>;
    readonly display: Promise<boolean>;
}
//# sourceMappingURL=financial-overview-structure.d.ts.map