import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3PhysicalFlowsData from '@sage/x3-physical-flows-data';
import { Node, Reference, date, decimal, TextStream } from '@sage/xtrem-core';
export declare class ProductSales extends Node {
    readonly product: Reference<sageX3MasterData.nodes.Product>;
    readonly substitutionProduct: Reference<sageX3MasterData.nodes.Product | null>;
    readonly substitutionDate: Promise<date | null>;
    readonly productSalesTextKey: Promise<string>;
    readonly productPickingTextKey: Promise<string>;
    readonly packaging: Reference<sageX3PhysicalFlowsData.nodes.Packaging | null>;
    readonly packagingCapacity: Promise<decimal | null>;
    readonly basePrice: Promise<decimal | null>;
    readonly _productPickingText: Reference<sageX3MasterData.nodes.CommonText | null>;
    readonly _productSalesText: Reference<sageX3MasterData.nodes.CommonText | null>;
    readonly productPickingText: Promise<TextStream>;
    readonly productSalesText: Promise<TextStream>;
}
//# sourceMappingURL=product-sales.d.ts.map