import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import { Node, Reference, integer } from '@sage/xtrem-core';
import * as sageX3ProjectManagement from '..';
export declare class TaskPrecedenceLink extends Node {
    readonly project: Reference<sageX3ProjectManagement.nodes.Project>;
    readonly task: Reference<sageX3ProjectManagement.nodes.Task>;
    readonly lineNumber: Promise<integer>;
    readonly linkedTask: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
    readonly linkType: Promise<sageX3ProjectManagement.enums.TasksLinkType>;
    readonly constraintType: Promise<sageX3ProjectManagement.enums.ConstraintType>;
    readonly lagDays: Promise<integer | null>;
    readonly _nodeStatus: Promise<string>;
}
//# sourceMappingURL=task-precedence-link.d.ts.map